Skip to main content
aboutsummaryrefslogblamecommitdiffstats
blob: 3c6b0f73821cf1dc2389c0ea820f45a1d09adde6 (plain) (tree)
1
2
3
4
5
6
7
8
9



                                              
                               
                                               


                                           
 

                                             

                 




                              


              
             










                                                                                   
                                         
                                          
                                                 
                                                 
                                                         
                                                        
                                               








                                         
<?xml version="1.0" encoding="UTF-8"?>
<feature
      id="org.eclipse.epp.package.dsl.feature"
      label="EPP DSL Feature"
      version="4.7.0.qualifier"
      provider-name="Eclipse Packaging Project"
      plugin="org.eclipse.epp.package.dsl"
      license-feature="org.eclipse.license"
      license-feature-version="0.0.0">

   <description url="http://eclipse.org/epp">
      %description
   </description>

   <copyright>
      %copyright
   </copyright>

   <license url="%licenseURL">
      %license
   </license>

   <requires>
   <!--
        All requirements to features and the content of the product are defined 
        in the product configuration epp.product since Eclipse Neon. For further
        details see the following bug:

        Bug 332989 - Allow parts of a package to upgraded or removed
        https://bugs.eclipse.org/bugs/show_bug.cgi?id=332989

        Since the DSL package already moved some of the dependencies to the product
        definition, no need to change anything here.
     -->
      <import feature="org.eclipse.sdk"/>
      <import feature="org.eclipse.egit"/>
      <import feature="org.eclipse.egit.import"/>
      <import feature="org.eclipse.m2e.feature"/>
      <import feature="org.eclipse.m2e.logback.feature"/>
      <import feature="org.eclipse.wst.xml_ui.feature"/>
      <import feature="org.eclipse.buildship"/>
   </requires>

   <plugin
         id="org.eclipse.epp.package.dsl"
         download-size="0"
         install-size="0"
         version="0.0.0"/>

</feature>

Back to the top